Module jdk.compiler
Package com.sun.source.tree

## Interface BinaryTree

All Superinterfaces:
  ExpressionTree, Tree

    public interface BinaryTree
    extends ExpressionTree

A tree node for a binary expression. Use `getKind` to determine the kind of operator. For example:

       leftOperand operator rightOperand

Since:
  1.6
See The Java™ Language Specification:
  sections 15.17 to 15.24

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`ExpressionTree` `getLeftOperand()` Returns the left (first) operand of the expression.
`ExpressionTree` `getRightOperand()` Returns the right (second) operand of the expression.

### Methods inherited from interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### getLeftOperand

    ExpressionTree getLeftOperand()

Returns the left (first) operand of the expression.

Returns:
  the left operand

#### getRightOperand

    ExpressionTree getRightOperand()

Returns the right (second) operand of the expression.

Returns:
  the right operand